minetest.register_node("magical_potion:medicine_small", {
	description = "Small bottle of Medicine",
	drawtype = "plantlike",
	tiles = {"medicine_bottle_small.png"},
	wield_image = "medicine_bottle_small.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "medicine_bottle_small.png",
	on_use = function(itemstack, player)
	local health = player:get_hp();
	player:set_hp(health+5)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:medicine_big", {
	description = "Big bottle of Medicine",
	drawtype = "plantlike",
	tiles = {"medicine_bottle_big.png"},
	wield_image = "medicine_bottle_big.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "medicine_bottle_big.png",
	on_use = function(itemstack, player)
	local health = player:get_hp();
	player:set_hp(health+10)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:medicine_huge", {
	description = "Huge bottle of Medicine",
	drawtype = "plantlike",
	tiles = {"medicine_bottle_huge.png"},
	wield_image = "medicine_bottle_huge.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "medicine_bottle_huge.png",
	on_use = function(itemstack, player)
	local health = player:get_hp();
	player:set_hp(health+20)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:fly_small", {
	description = "Small bottle of Fly",
	drawtype = "plantlike",
	tiles = {"fly_bottle_small.png"},
	wield_image = "fly_bottle_small.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "fly_bottle_small.png",
	on_use = function(itemstack, player)
	playereffects.apply_effect_type("fly_bottle", 20, player)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:fly_big", {
	description = "Big bottle of Fly",
	drawtype = "plantlike",
	tiles = {"fly_bottle_big.png"},
	wield_image = "fly_bottle_big.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "fly_bottle_big.png",
	on_use = function(itemstack, player)
	playereffects.apply_effect_type("fly_bottle", 60, player)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:fly_huge", {
	description = "Huge bottle of Fly",
	drawtype = "plantlike",
	tiles = {"fly_bottle_huge.png"},
	wield_image = "fly_bottle_huge.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "fly_bottle_huge.png",
	on_use = function(itemstack, player)
	playereffects.apply_effect_type("fly_bottle", 300, player)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:speed", {
	description = "Bottle of Speed",
	drawtype = "plantlike",
	tiles = {"speed_bottle.png"},
	wield_image = "speed_bottle.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "speed_bottle.png",
	on_use = function(itemstack, player)
	playereffects.apply_effect_type("speed_bottle", 120, player)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})

minetest.register_node("magical_potion:immortal", {
	description = "Bottle of immortal",
	drawtype = "plantlike",
	tiles = {"immortal_bottle.png"},
	wield_image = "immortal_bottle.png",
	paramtype = "light",
	is_ground_content = false,
	walkable = false,
    light_source = 14,
	selection_box = {
		type = "fixed",
		fixed = {-0.25, -0.5, -0.25, 0.25, 0.4, 0.25}
	},
	groups = {vessel=1,dig_immediate=3,attached_node=1, potion=1},
	sounds = default.node_sound_glass_defaults(),
	inventory_image = "immortal_bottle.png",
	on_use = function(itemstack, player)
	playereffects.apply_effect_type("immortal_bottle", 120, player)
	if minetest.get_modpath("vessels") then
        player:get_inventory():add_item("main", "vessels:glass_bottle")
    end
    itemstack:take_item(1)
    return itemstack
	end,
})
